@font-face {
    font-family: Roboto;
    src: url('../font/roboto-regular-webfont.woff2') format('woff2'),
         url('../font/roboto-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }
  
@font-face {
    font-family: Roboto;
    src: url('../font/roboto-bold-webfont.woff2') format('woff2'),
         url('../font/roboto-bold-webfont.woff') format('woff');
    font-weight: bold;
    font-style: normal;
}
  
* {
    box-sizing: border-box;
    outline: none;
}

:root {
    --wite: #fff;
    --blue: #3F2AFF;
}
  
html {
    font-family:Roboto;
    font-size: 16px;
    color: var(--wite);
}

.container-fluid {
    position: relative;
    padding-right: 40px;
    padding-left: 40px;
    max-width: 1190px;
}

ul {
    padding-left: 0;
    list-style: none;
  }

a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: var(--wite);
}

.btn {
    border-radius: 20px;
    font-weight: bold;
    background-color: var(--blue);
    transition: background-color 300ms linear;
}
  
.btn:hover,
.btn:focus {
    background-color: rebeccapurple;
}
  
img {
    width: 100%;
}

h1 {
    margin: 0;
}

h2 {
    font-weight: bold;
    line-height: 100%;
}

h3 {
    margin: 0;
}
/* header */

.header {
    height: 80px;
    background-color: var(--blue);
}

.header__container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
}

.header__logo {
    width: 120px;
}

.header__nav-list {
    display: flex;
}

.header__nav-link {
    font-size: 18px;
    line-height: 21px;
    transition: color 300ms linear;
}


.header__nav-link:focus,
.header__nav-item:hover .header__nav-link  {
    color: #F57900;
}

.header__nav-item:not(:last-child) {
    margin-right: 55px;
}
/* section-hero */

.section__hero {
    margin-bottom: 30px;
    background: url(/img/hero/bgimage.jpg) 60% 20% / cover no-repeat;
}

.hero__container {
    position: relative;
    display: flex;
    padding-top: 130px;
    padding-bottom: 130px;
}

.hero-content {
    position: relative;
    z-index: 1;
    width: 43%;
}

.hero-content__h1 {
    font-size: 60px;
    font-weight: bold;
    line-height: 100%;
}

.hero-content__text {
    margin-top: 25px;
    margin-bottom: 65px;
    padding-right: 15px;
    font-size: 18px;
    line-height: 150%;
}

.hero-content__btn {
    width: 270px;  
}

.hero-content__link {
    font-size: 18px;
    padding: 24px 75.5px;
}

.hero__img {
    position: absolute;
    right: 40px;
    top: 0;
    z-index: 0;
    min-height: 100%;
    min-width: 57%;
    background: url(../img/hero/main.png) 100% 50% / 89% 590px no-repeat;
}

/* section-presentation */

.section__presentation {
    margin-bottom: 70px;
    padding-top: 18px;
    color: #666;
}

.presentation__col-text {
    margin-bottom: 25px;
    padding-left: 18%;
    background: url(../img/presentation/bg_presentation.png) 10px 33px / 14% no-repeat;
}

.presentation__h2 {
    margin-bottom: 15px;
    width: 50%;
    font-size: 40px;
    line-height: 100%;
    color: #2E2B44;
}

.presentation__text {
    display: inline-block;
    width: 65%;
    font-weight: normal;
    line-height: 150%;
}

.presentation-item {
    display: flex;
}

.presentation-item__img {
    display: inline-block;
    width: 80px;
    height: 80px;
    background-repeat: no-repeat;
}

.presentation-item__text {
    display: inline-block;
    padding: 0;
    font-weight: bold;
    line-height: 120%;
}

/* section-teacher */

.section__teacher {
    margin-bottom: 75px;
    padding-top: 40px;
    padding-bottom: 55px;
    background: #2E2B44;
}

.teacher__h2 {
    margin-bottom: 25px;
    font-size: 40px;
}

.teacher__img {
    margin-bottom: 30px;
}

.teacher__name {
    font-weight: bold;
    font-size: 18px;
    line-height: 150%;
}

.teacher__text {
    margin-top: 8px;
    line-height: 150%;
}
/* section__lessons */

.section__lessons {
    margin-bottom: 80px;
}

.lessons__h2 {
    margin-bottom: 25px;
    font-weight: bold;
    font-size: 40px;
    line-height: 100%;
    color: #2E2B44;
}

.lessons__content {
    position: relative;
    display: flex;
    flex-direction: column;
    padding-bottom: 30px;
    height: 100%;
    border-radius: 20px;
    background-color: #EDF0F9;
}


.lessons__item:nth-child(1) {
    margin-bottom: 30px;
}

.lessons__item:nth-child(2) {
    margin-bottom: 30px;
}

.lessons__clock {
    position: absolute;
    right: 10px;
    top: 10px;
    padding-left: 28px;
    line-height: 19px;
    background: url(../img/mdi_access_time.svg) left center / 23px no-repeat;
}

.lessons__h3, .lessons__text {
    padding: 0 20px 0 30px;
}

.lessons__h3 {
    margin-top: 30px;
    margin-bottom: 10px;
    font-weight: bold;
    font-size: 18px;
    line-height: 130%;
    color: #2E2B44;
}

.lessons__text {
    margin-top: 0;
    margin-bottom: 45px;
    padding-right: 30px;
    line-height: 150%;
    color: #666666;
}

.lessons__btn {
    margin-top: auto;
    margin-left: 30px;
    width: 200px;
}

.lessons__link {
    padding: 20.5px 48px;
}

/* footer */

.footer {
    padding-top: 30px;
    background-color: #2E2B44;
}

.footer__list {
    display: flex;
    justify-content: center;
    margin-top: 0;
    margin-bottom: 30px;
    padding-left: 0;
}

.footer__item {
    display: inline-block;
    width: 24px;
    height: 24px;
}

.footer__item:not(:last-child) {
    margin-right: 30px;
}

.footer__link {
    height: 100%;
    width: 100%;
    background-repeat: no-repeat;
    background-position: center center;
    transition: background-image 300ms linear;
}

.facebook {
    background-image: url(../img/footer/one.svg);
}

.twiter {
    background-image: url(../img/footer/two.svg);
}

.instagram {
    background-image: url(../img/footer/three.svg);
}

.youtube {
    background-image: url(../img/footer/four.svg);
}

.facebook:hover,
.facebook:focus {
    background-image: url(../img/footer/hover/one.svg);
}

.twiter:hover,
.twiter:focus {
    background-image: url(../img/footer/hover/two.svg);
}

.instagram:hover,
.instagram:focus {
    background-image: url(../img/footer/hover/three.svg);
}

.youtube:hover,
.youtube:focus {
    background-image: url(../img/footer/hover/four.svg);
}

.footer__logo {
    margin: 0;
    background-color: var(--wite);
    text-align: center;
    font-size: 13px;
    line-height: 15px;
    text-transform: uppercase;
    color: #333;
}


/* media */
@media (max-width: 991px) {



    /* section-hero */

    .section__hero {
        margin-bottom: 40px;
        
    }

    .hero__container {
        padding-bottom: 140px;
    }

    .hero-content {
        width: 50%;
    }

    .hero-content__h1 {
        font-size: 50px;
    }

    .hero-content__text {
        margin-bottom: 60px;
        margin-top: 13px;
    }

    .hero-content__link {
        font-size: 16px;
    }

    .hero__img {
        background: url(../img/hero/tablet.png) 100% 45% / 75% 413px no-repeat;
    }

    /* section-presentation */

    .section__presentation {
        margin-bottom: 60px;
        padding-top: 10px;
    }

    .presentation__col-text {
        padding-left: 36%;
        background-size: 28%;
    }

    .presentation__h2 {
        width: 100%;
    }

    .presentation__text {
        width: 100%;
    }

    .presentation-item {
        display: block;
    }

    .presentation-item__text {
        margin-top: 0;
    }

    .presentation-item__img {
        margin-bottom: 5px;
    }

    /* section-teacher */ 

    .section__teacher {
        padding-bottom: 40px;
    }

    /* section-lessons */

    .lessons__text {
        margin-bottom: 26px;
    }

    .lessons__btn {
        width: 195px;
    }

}

@media (max-width: 767px) {
    
    .container-fluid {
        padding-right: 30px;
        padding-left: 30px;
    }

    /* header */
    
    .header {
        height: 130px;
        padding-top: 30px;
    }

    .header__container {
        flex-direction: column;
    }

    .header__nav-list {
        display: flex;
        justify-content: space-between;
        margin-top: 0;
        margin-bottom: 25px;
        padding: 0 22px;
    }

    .header__nav {
        width: 100%;
    }

    .header__burger {
        display: none;
    }
    
    /* section-hero */

    .section__hero {
        margin-bottom: 35px;
        
    }

    .hero__container {
        padding-top: 77px;
    }

    .hero-content {
        width: 70%;
    }

    .hero-content__h1 {
        margin-bottom: 20px;
    }

    .hero__img {
        display: none;
    }

    /* section-presentation */
    .section__presentation {
        margin-bottom: 45px;
    }

    .presentation__h2 {
        margin-bottom: 15px;
    }

    .presentation__col-text {
        margin-bottom: 25px;
        padding-left: 36%;
        background: url(../img/presentation/bg_presentation.png) 10px 35px / 28% no-repeat;
    }

    .resentation__item {
        align-items: flex-start;
    }

    /* section-teacher */

    .section__teacher {
        padding-bottom: 60px;
    }

    .teacher__img {
        margin-bottom: 25px;
    }

    /* section-lessons */

    .lessons__btn {
        width: 180px;
    }
}

@media (max-width: 575px) {

    .container-fluid {
        padding-right: 15px;
        padding-left: 15px;
    }

    /* header */

    .header {
        height: 80px;
        padding-top: 0;
    }

    .header__container {
        flex-direction: row;
    }

    .header__burger {
        position: relative;
        z-index: 1;
        display: block;
        height: 40px;
        width: 40px;
        background: url(../img/List.svg) 100% 100% / cover no-repeat;
        transition: background-image 300ms linear;
    }

    .header__burger:hover {
        cursor: pointer;
        background-image: url(../img/List_hover.svg);
    }

    .header__nav {
        position: absolute;
        top: 60px;
        right:  15px;
        z-index: 2;
        display: none;
        width: 80%;
    }

    .open {
        display: block;
    }
    
    .header__nav-list {
        display: block;
        padding: 5px;
        border: 2px outset #D3D7CF;
        background-color: #3465A4;
    }

    .header__nav-link {
        justify-content: flex-end;
        font-size: 24px;
        line-height: 130%;
    }

    .header__nav-item:not(:last-child) {
        margin-bottom: 25px;
        margin-right: 0;
    }

    /* section-hero */
    .hero__container {
        padding-top: 0;
        padding-bottom: 0;
    }

    .hero__content {
        padding-top: 30px;
        padding-bottom: 50px;
        width: 100%;
    }

    .hero-content__h1 {
        margin-top: 20px;
        margin-bottom: 5px;
        font-size: 30px;
    }

    .hero-content__text {
        margin-top: 0;
        margin-bottom: 50px;
        padding-right: 0;
        font-weight: normal;
        font-size: 16px;
        line-height: 130%;
    }

    .hero-content__btn {
        max-width: 213px;
    }

    .hero-content__link {
        padding: 20.5px 53px;
    }

    /* section-presentation */
    .section__presentation {
        margin-bottom: 50px;
    }

    .presentation__h2 {
        margin-top: 5px;
        margin-bottom: 5px;
        padding-right: 40px;
        font-size: 20px;
        line-height: 130%;
    }

    .presentation__col-text {
        margin-bottom: 10px;
        padding-left: 15px;
        background: unset;
    }

    .presentation__text {
        font-weight: normal;
        line-height: 150%;
    }

    .presentation__item:not(:last-child) {
        margin-bottom: 5px;
    }

    .presentation-item {
        display: flex;
        align-items: center;
    }

    .presentation-item__text {
        margin-top: 15px;       
    }

    /* section-teacher */

    .section__teacher {
        margin-bottom: 50px;
        padding-top: 30px;
        padding-bottom: 25px;
    }

    .teacher__item {
        margin-bottom: 10px;
    }

    .teacher__h2 {
        margin-bottom: 22px;
        font-size: 20px;
    }

    /* section__lessons */

    .section__lessons {
        margin-bottom: 50px;
    }

    .lessons__content {
        padding-bottom: 30px;
    }

    .lessons__h2 {
        margin-bottom: 26px;
        font-size: 20px;
    }
    
    .lessons__item:not(:last-child) {
        margin-bottom: 28px;
    }
    .lessons__h3 {
        margin-top: 25px;
        padding-left: 30px;
        width: 90%;
    }

    .lessons__text {
        padding: 0 30px;
        margin-top: 0;
        margin-bottom: 85px;
    }

    .lessons__btn {
        margin-left: 30px;
        max-width: 255px;
    }

    .lessons__link {
        padding: 20.5px 95.5px;
    }

}
